import 'package:json_annotation/json_annotation.dart';

import 'package:pshared/data/dto/money.dart';

part 'quote_amounts.g.dart';

@JsonSerializable()
class QuoteAmountsDTO {
  final MoneyDTO? sourcePrincipal;
  final MoneyDTO? sourceDebitTotal;
  final MoneyDTO? destinationSettlement;

  const QuoteAmountsDTO({
    this.sourcePrincipal,
    this.sourceDebitTotal,
    this.destinationSettlement,
  });

  factory QuoteAmountsDTO.fromJson(Map<String, dynamic> json) =>
      _$QuoteAmountsDTOFromJson(json);
  Map<String, dynamic> toJson() => _$QuoteAmountsDTOToJson(this);
}
